#!/bin/sh -e

# called by uscan with '--upstream-version' <version> <file>
DIR=xstream-$2
TAR=../libxstream-java_$2.orig.tar.xz

# clean up the upstream tarball
unzip $3
XZ_OPT=--best tar -c -J -f $TAR --exclude '*.jar' $DIR
rm -rf $DIR $3

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
    . .svn/deb-layout
    mv $TAR $origDir
    echo "moved $TAR to $origDir"
fi
